aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples
diff options
context:
space:
mode:
Diffstat (limited to 'examples')
-rwxr-xr-xexamples/gbp-try-ff20
1 files changed, 20 insertions, 0 deletions
diff --git a/examples/gbp-try-ff b/examples/gbp-try-ff
new file mode 100755
index 00000000..f8cfb409
--- /dev/null
+++ b/examples/gbp-try-ff
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# Try to update a package to a new upstream version
+
+set -e
+
+git checkout debian/sid
+gbp pq import --force
+git checkout debian/sid
+gbp import-orig --uscan --no-interactive
+
+if ! gbp pq rebase; then
+ echo "Automatic rebase failed"
+ git rebase --abort
+ exit 1
+fi
+
+gbp pq export --commit
+gbp dch -S -a
+gbp buildpackage --git-ignore-new